Package be.vlaanderen.mercurius.insurability.schemas.v1

# Class MessageMetadataType

java.lang.Object
be.vlaanderen.mercurius.insurability.schemas.v1.MessageMetadataType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class MessageMetadataType extends Object implements Serializable
Tracing information for each request response

Java class for MessageMetadataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MessageMetadataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ssin" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
             <element name="CareProviderReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareProviderReferenceType" minOccurs="0"/>
             <choice>
               <element name="EnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}EnterpriseNumberType"/>
               <element name="FlemishInstitution" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}HCONumberType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageMetadataType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareProviderReference()`
  Veld voor het intern identificatie-nummer van de verzender van dit bericht.
  `String`
  `getEnterpriseNumber()`
  Ondernemingsnummer van de firma van de bandagist.
  `String`
  `getFlemishInstitution()`
  HCO-nummer van de voorziening waar de bewoner is opgenomen
  `String`
  `getSsin()`
  INSZ-nummer van de bewoner
  `void`
  `setCareProviderReference(String value)`
  Sets the value of the careProviderReference property.
  `void`
  `setEnterpriseNumber(String value)`
  Sets the value of the enterpriseNumber property.
  `void`
  `setFlemishInstitution(String value)`
  Sets the value of the flemishInstitution property.
  `void`
  `setSsin(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageMetadataType

    public MessageMetadataType()

- ## Method Details

  - ### getSsin

    public String getSsin()
    INSZ-nummer van de bewoner
    Returns:
      possible object is `String`

  - ### setSsin

    public void setSsin(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSsin()`

  - ### getCareProviderReference

    public String getCareProviderReference()
    Veld voor het intern identificatie-nummer van de verzender van dit bericht. Via dit optioneel alfanumeriek gegeven kan de verzender eigen gegevens identificeren. Dit wordt zowel in de vraag als in het antwoord opgenomen.
    Returns:
      possible object is `String`

  - ### setCareProviderReference

    public void setCareProviderReference(String value)
    Sets the value of the careProviderReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareProviderReference()`

  - ### getFlemishInstitution

    public String getFlemishInstitution()
    HCO-nummer van de voorziening waar de bewoner is opgenomen
    Returns:
      possible object is `String`

  - ### setFlemishInstitution

    public void setFlemishInstitution(String value)
    Sets the value of the flemishInstitution property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFlemishInstitution()`

  - ### getEnterpriseNumber

    public String getEnterpriseNumber()
    Ondernemingsnummer van de firma van de bandagist.
    Returns:
      possible object is `String`

  - ### setEnterpriseNumber

    public void setEnterpriseNumber(String value)
    Sets the value of the enterpriseNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEnterpriseNumber()`